%define api 0.1
%define major 4
%define libname		%mklibname usb-compat %{api} %{major}
%define devellibname	%mklibname -d usb-compat %{api}
%define sdevellibname	%mklibname -s -d usb-compat %{api}

Summary:	A library which allows userspace access to USB devices
Name:		libusb-compat
Version:	0.1.5
Release:	%mkrel 10
Source0:	http://downloads.sourceforge.net/libusb/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libusb.wiki.sourceforge.net/Libusb1.0
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libusb-1.0) >= 0.9.1

%description
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n %{libname}
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %{devellibname}
Summary:	Development files for libusb-0.1
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Provides:	libusb-devel = %{version}-%{release}
Provides:	libusb0.1-devel = %{version}-%{release}
Provides:	usb-compat-devel = %{version}-%{release}
Provides:	usb0.1-devel = %{version}-%{release}

%description -n %{devellibname}
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb-0.1.

%package -n %{sdevellibname}
Summary:	Static development files for libusb-0.1
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{devellibname} = %{version}-%{release}
Provides:	libusb0.1-static-devel = %{version}-%{release}
Provides:	libusb-static-devel = %{version}-%{release}

%description -n %{sdevellibname}
This package contains static libraries to develop applications that use
libusb0.

%prep
%setup -q

%build
%configure
%make

%install
%make_install
%multiarch_binaries %{buildroot}%{_bindir}/libusb-config

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING README NEWS
%{_libdir}/libusb-%{api}.so.%{major}{,.*}

%files -n %{devellibname}
%doc examples/*.c
%{_libdir}/pkgconfig/libusb.pc
%{_includedir}/usb.h
%{_libdir}/libusb.so
%{multiarch_bindir}/libusb-config
%{_bindir}/libusb-config

%files -n %{sdevellibname}
%{_libdir}/libusb.a


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1.5-10.mga8
+ Revision: 1514554
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.1.5-9.mga7
+ Revision: 1299201
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 0.1.5-8.mga6
+ Revision: 929562
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-7.mga5
+ Revision: 740287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-6.mga5
+ Revision: 681832
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 tv <tv> 0.1.5-5.mga5
+ Revision: 643436
- remove libusb-provides

* Sat Jul 05 2014 wally <wally> 0.1.5-4.mga5
+ Revision: 643421
- add back libusb provides

* Sat Jul 05 2014 wally <wally> 0.1.5-3.mga5
+ Revision: 643412
- drop old/unneeded obsoletes/provides

* Sat Oct 19 2013 umeabot <umeabot> 0.1.5-2.mga4
+ Revision: 529208
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 0.1.5-1.mga4
+ Revision: 450975
- 0.1.5

* Sat Jan 12 2013 umeabot <umeabot> 0.1.4-3.mga3
+ Revision: 358304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 0.1.4-2.mga3
+ Revision: 273158
- Update for usrmove

* Sat Jun 09 2012 fwang <fwang> 0.1.4-1.mga3
+ Revision: 258370
- new version 0.1.4

* Fri Apr 20 2012 boklm <boklm> 0.1.3-6.mga2
+ Revision: 231975
- rebuild to fix package signature problem

* Fri Apr 20 2012 fwang <fwang> 0.1.3-5.mga2
+ Revision: 231944
- drop .la file

* Tue Jan 11 2011 pterjan <pterjan> 0.1.3-4.mga1
+ Revision: 6480
- Drop some Obsoletes related to a past version in cooker
- imported package libusb-compat


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-4mdv2011.0
+ Revision: 602610
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-3mdv2010.1
+ Revision: 520920
- rebuilt for 2010.1

* Fri Sep 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-2mdv2010.0
+ Revision: 444268
- Remove explicit Requires: on pkgconfig, it's automatically added when needed

* Tue Sep 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-1mdv2010.0
+ Revision: 443014
- update to latest upstream release

* Fri Sep 11 2009 Anssi Hannula <anssi@mandriva.org> 0.1.0-6mdv2010.0
+ Revision: 438530
- use correct major and api
- ensure major correctness in file lists
- fix obsoletes on old libusb packages
- remove duplicate provides and add some missing ones
- small clarifications in summaries and descriptions
- use makeinstall_std
- multiarchify libusb-config
- move static library back to /usr/lib, while keeping a symlink in /lib

* Fri Sep 04 2009 Helio Chissini de Castro <helio@mandriva.com> 0.1.0-5mdv2010.0
+ Revision: 431071
- Moving libraries by hand make symlink broken. We still need those .la files for some applications
  configure now install properly libs in %%_lib and updates both .la and pkgconfig files correctly

* Thu Sep 03 2009 Helio Chissini de Castro <helio@mandriva.com> 0.1.0-4mdv2010.0
+ Revision: 429006
- Last missing provides. Now get smooth upgrade
- Provides proper entry for x86_64
- Need provides a generic libusb-devel too

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 0.1.0-2mdv2010.0
+ Revision: 428790
- enable to upgrade usb-devel to usb-compat-devel
- import libusb-compat


* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-1mdv2010.0
- initial release
